# Build a Frontend Web App in Rust using the Yew.rs Framework

In this tutorial, you'll learn how to create a feedback frontend application using Rust, Yew.rs, WebAssembly, and Tailwind CSS. You'll discover how to manage the application state globally with the Yewdux crate and store feedback items locally using the localStorage API. This will allow you to access your feedback items even after refreshing your browser.

![Build a Frontend Web App in Rust using the Yew.rs Framework](https://codevoweb.com/wp-content/uploads/2023/03/Build-a-Frontend-Web-App-in-Rust-using-the-Yew.rs-Framework.webp)

## Topics Covered

- Run the Rust Yew.rs Web App Locally
- Bootstrap the Yew.rs Project
- Setup Tailwind CSS
- Create a Global Store with Yewdux
- Create Reusable Yew.rs Components
    - Alert Notification Component
    - Rating Component
- Create a Form to Add New Feedback Items
- Display the Feedback Statistics
- Create a Feedback Item Component
- Display the Feedback Items
- Export the Component Files as Modules
- Register All the Components in the Main File
- Testing the Yew.rs Feedback Application

Read the entire article here: [https://codevoweb.com/build-frontend-web-app-in-rust-using-yew-framework/](https://codevoweb.com/build-frontend-web-app-in-rust-using-yew-framework/)

